/**************************************************/
/** Application Grid Layout                      **/
/**************************************************/

/** BEGIN Grid Layout **/

.GridStyle 
{
    /*border: 0;*/    
    border: 1px solid #DDD; 
    margin-top: 1px;
    width: 100%;
    /*table-layout: fixed;*/
    /*font-family: Arial, Helvetica, sans-serif;*/
    font-size: 11px;
}

.GridStyle tr
{
/*    cursor: pointer;*/
}

.GridStyle tr td
{
    border-color: transparent;
}


/** Columns style **/

.GridStyle tr th
{
    border: 0;
    white-space: nowrap;
}
/*
.GridStyle tr th a, .GridStyle tr th img
{
    display: inline;
}

.GridStyle tr th img
{
    top: 4px;
}
*/
.Hidden, .NotVisible
{
    width: 0%;
    display: none;
}


/** Rows style **/

.RowStyle, .AlternateRowStyle, .SelectedRowStyle, .EditRowStyle, .FooterStyle
{
    height: 22px;
    line-height: 22px;
    cursor: pointer;
}

.AlternateRowStyle
{
    background-color: #ECECEC;/*blue: #D6DBE1; /*green:#DEF3CA;*/
}

.SelectedRowStyle, .SelectedRowStyle:hover
{
    border-bottom-width: 0px;
    border-top-width: 0px;
    border-right-width: 0px;
    border-left-width: 0px;
    background-color: #999;/*blue: #3F6897; /*green:#30B457;*/
    color: #111;
}

.RowStyle:hover, .AlternateRowStyle:hover
{
    border-bottom-width: 0px;
    border-top-width: 0px;
    border-right-width: 0px;
    border-left-width: 0px;
    background-color: #F2F2F2;/*blue: #E1E6EB; /*green:#30B457;*/
}

.RowStyle td, .AlternateRowStyle td, .SelectedRowStyle td, .EditRowStyle td, .FooterStyle td
{
    margin: 0;
    padding: 0px 5px 0px 5px;
    
    border-bottom-width: 0px;
    border-left-width: 0px;
    
    border-top-width: 2px;
    border-top-style: solid;
    border-top-color: #FFF;
      
    border-right-width: 1px;
    border-right-style: solid;
    border-right-color: #E1E6EB;/*blue: #E1E6EB; /*green: #80A06F;*/
    
    /*Ellispis can't accept this: white-space: nowrap;*/
    vertical-align: middle;
}

.EditRowStyle, .EditRowStyle td, .EditRowStyle:hover
{
    padding: 1px 1px 1px 1px;
    border: 0px 1px 0px 1px;
    background-color: #F2F2F2;
}

.RowStyle td
{
    border-right-width: 1px;
    border-right-style: solid;
    border-right-color: #DDD;/*blue: #E1E6EB; /*green: #80A06F;*/
}

/* edit controls in row */
.EditRowStyle td input[type=text],
.EditRowStyle td select
{
    width: 100%;
}
.EditRowStyle td textarea
{
    /* not 100% because paddings*/
    width: 95%;
}

.EditRowStyle td .FormFieldReadonly, .EditRowStyle td .FormFieldTransitionReadonly
{
    background-color: transparent;   
}

/** END Grid Layout **/




/** BEGIN ToolBar Buttons **/

.RowStyle td.ToolBarColumn, 
.AlternateRowStyle td.ToolBarColumn, 
.SelectedRowStyle td.ToolBarColumn, 
.EditRowStyle td.ToolBarColumn 
{
    padding: 0;
    
    text-align: right;
}


.ToolBarColumn 
{
    width: auto;
	height: 22px;	
}


th.ToolBarColumn
{
    text-align: center;
    width: 54px;
}

.ToolBarColumn .Icon20x20, .ToolBarColumn .Icon20x20Inactive, .ToolBarColumn div
{
	float: right;
}

th.ToolBarColumn .Icon20x20, th.ToolBarColumn .Icon20x20Inactive, th.ToolBarColumn div
{
	float: none;
}

.ToolBarColumn div
{
    display: inline-block;
}

.ToolBarColumn .Icon20x20 img ,
.ToolBarColumn .Icon20x20 input[type=image] 
{
	width: 20px;
	height: 20px;
}

/** END Content Contextual Buttons **/




/** BEGIN Header Layout **/
    
.HeaderStyle, .EmptyDataRowStyle
{
    color: #333;
    font-family: Arial, Verdana, Helvetica, sans-serif;
    font-size: 11px;
    font-weight: bold;
}

.HeaderStyle
{
    line-height: 1em;    
    height: 25px;
}

.EmptyDataRowStyle
{
    height: 24px;
    line-height: 24px;
}

.HeaderStyle th, .EmptyDataRowStyle td
{
    margin: 0;
    /*border: 0;*/
    padding: 0px 5px 0px 5px;
    white-space: nowrap; 
    font-weight: normal;
    vertical-align: middle;
}


 .EmptyDataRowStyle td div
 {
     display: inline;
     text-align: center;
 }
 
 .EmptyDataRowStyle td div .Icon20x20
 {     
     position: relative;
     display: inline;
     vertical-align: middle;
     float: right;
 }


.HeaderStyle th a
{
    color: #333;
}

/** END Header Layout **/




/** BEGIN Footer Layout **/

.FooterStyle
{
    border-bottom-width: 0px;
    border-top-width: 0px;
    border-right-width: 0px;
    border-left-width: 0px;
    
    background-color: #CDD5DE;
    color: #777;
    font-weight: bold;
}

.FooterStyle td table tr td
{
    border-bottom-width: 0px;
    border-top-width: 0px;
    border-right-width: 0px;
    border-left-width: 0px;
    
    padding: 0;
    margin: 0;
}

/** END Footer Layout **/





/** BEGIN GRID ELLIPSIS **/

th > div.C-L,
td > div.C-L:not(.FormCheckBox)
{
	position: relative;
	overflow: hidden;
	height: 2em;
}

td > div.C-L.FormCheckBox
{
	overflow: hidden;
	height: 2em; 
}

/* visible content */
th > div.C-L > span,
th > div.C-L > a,
td > div.C-L > span,
td > div.C-L > a
{
	display: block !important;
	position: absolute;	
	max-width: 100%;
	width: 100%;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	line-height: 2em;		/* for vertical align of text */
	o-text-overflow: ellipsis;
}

th > div.C-L > img
{
    position: absolute;
    right: 48%;
    top: -2px;
    height: 8px;
}

/* cell stretching content */
th > div.C-L:after,
td > div.C-L:after
{
	content: attr(title);
	overflow: hidden;
	height: 0;
	display: block;
}

/* fot dates/datetimes and booleans */
td > div.C-F:after
{
    white-space: nowrap;
}

/** END GRID ELLIPSIS **/